Author Topic: Security patch for serious issue in Ubuntu version of Firefox  (Read 127 times)

0 Members and 1 Guest are viewing this topic.

Offline Jason

  • Administrator
  • Master
  • *****
  • Posts: 3772
  • Humanist. Skeptic. Husband.
Security patch for serious issue in Ubuntu version of Firefox
« on: August 28, 2021, 04:35:19 am »
A new security flaw was discovered in Firefox causing a code regression. The info is dated August 11 but I just received notification through the Ubuntu security list. That likely means it's already been patched on your system. But just in case, here's the run down:

Quote
Multiple security issues were discovered in Firefox. If a user were
tricked into opening a specially crafted website, an attacker could
potentially exploit these to cause a denial of service, obtain sensitive
information, trick a user into accepting unwanted permissions, or execute
arbitrary code.

It affects Ubuntu 18.04, 20.04 and 21.04 and I imagine any distros based on it.

The version you should have for Firefox is 91.0.2 or better since other fixes may have been applied beyond this one. Running your update program should get the newer version. Remember to restart your browser after the update.

More info here.


"With all its sham, drudgery, and broken dreams, it is still a beautiful world." - Max Ehrmann, Desiderata